{% load wagtailimages_tags %}

<div class="project-donate-form project-donate-form__right mb-3">
    <form method="post">
        {% csrf_token %}
        <input type="hidden" name="portal_project_id" value="{{ page.portal_project_id }}">
        <input type="hidden" name="periodicity" value="99999">
        <input type="hidden" name="amount" value="{{ self.amount }}">
        <input type="hidden" name="crowdfunding" value="{{ self.reward_id }}">
        <h3 class="lead mb-3">{{ self.title }}</h3>
        <div class="row">
            <figure class="col-12 col-md-7">
                {% image self.image fill-500x800 as img %}
                <img src="{{ img.url }}" alt="{{ img.alt }}" class="w-100">
            </figure>
            <div class="col-12 col-md-5">
                {{ self.description }}<br>
                    {% if self.variant_list %}
                        <small>Zvolte si varaintu:</small>
                        {% for variant in self.variant_list %}
                            <div class="custom-control form-control-md custom-radio">
                                <input type="radio" id="product-{{ forloop.counter }}" name="product"
                                       value="{{ self.title }}-{{ variant }}"
                                       class="custom-control-input form-control-md" required>
                                <label class="custom-control-label col-form-label-lg"
                                       for="product-{{ forloop.counter }}">{{ variant }}</label>
                            </div>
                        {% endfor %}
                    {% else %}
                        <input name="product"
                               value="{{ self.title }}"
                               hidden
                               class="custom-control-input form-control-md"
                               required
                        >
                {% endif %}
            </div>
        </div>
        <div class="row mt-2">
            <div class="col-7 mb-2 mb-md-0">
                <button type="submit" class="btn btn-danger btn-md">Darovat {{ self.amount }}&nbsp;Kč</button>
            </div>
            {% if self.delivery_date %}
                <p class="col-12 col-md-5">
                    Dodání do: <br>
                    <time datetime="2019-06-18">{{ self.delivery_date|date:"d. m. Y" }}</time>
                </p>
            {% endif %}
        </div>
    </form>
</div>
